Update von Stilen nicht unterstützt?

  • Hallo,


    ich wollte einmal nachfragen, warum das Updaten eines Stils nicht auf Anhieb möglich ist. Ich erhielt gerade bei einem kleinen Bugfix und dem darauf folgenden Versuch, den installierten Stil zu updaten, folgende Fehlermeldung:


    Das Paket „Stil“ (installierte Version: „1.0.0“) soll auf Version „1.0.1“ aktualisiert werden, ein Update wird jedoch nicht unterstützt.




    Ist es generell nicht möglich, die Stile zu updaten? Oder muss ich hierfür in der package.xml noch etwas festlegen?

  • Folgenden Block habe ich eingefügt:

    Code
    <instructions type="update" fromversion="1.0.0">
        <instruction type="style"><![CDATA[grey-nova-style.tgz]]></instruction>
    </instructions>


    Das führte nun dazu, dass der Stil, der geupdatet wurde, ein weiteres Mal installiert wurde.


    D.h.: Der alte Stil wurde geupdatet, aber auch ein zweites Mal angelegt. Ist das so gedacht?

    • Official Post

    Stile können nur aktualisiert werden, wenn zwei Bedingungen erfüllt sind:

    1. Der Stil muss sich im geschützten Zustand befinden.
    2. Der angegebene Bezeichner muss deckungsgleich mit dem Paketbezeichner sein, d.h. wenn dein Paket de.lorenz-woth.wsc.style.greynova heißt, so muss dies auch der Bezeichner des Stils sein.
  • Ich habe gerade festgestellt, dass ich Stile als Paket exportiere, unabhängig davon, ob ich die Checkbox aktiviere oder nicht.


    Hierfür habe ich einen Stil aus dem geschützten Zustand entfernt, daran gearbeitet und wollte es dann exportieren.

    Wenn ich die Checkbox nicht anklicke, wird eine Datei heruntergeladen: grey-nova-style.tgz Diese enthält jedoch ebenfalls package.xml und den Stil als tgz

    Wenn ich sie anklicke, erhalte ich ein Archiv mit demselben Inhalt, das dann aber den Namen des Paketbezeichners trägt.


    Könnt ihr das reproduzieren?


    Noch mal zum Update des Pakets:

    Ich bekomme es nicht hin, den Stil zu updaten.

    Der Stil wurde bearbeitet, exportiert, ich habe ihn händisch zu einem Paket gepackt, wegen der Sprachvariablen und wollte den 1.0.0 updaten zu 1.0.1.

    Der zu updatende Stil ist nicht im geschützten Modus und wurde ebenfalls über das Paket installiert.


    Im Anhang die Version 1.0.0 und 1.0.1, mache ich etwas falsch?

  • Ich habe gerade festgestellt, dass ich Stile als Paket exportiere, unabhängig davon, ob ich die Checkbox aktiviere oder nicht.

    Kann ich bestätigen, das passiert bei mir auch exakt so.


    Habe mir mal den Spaß gemacht und die style.xml angesehen: darin ist der Paketbezeichner nicht enthalten (der Wert war natürlich bei mir entsprechend gefüllt). Wenn das die Voraussetzung sein soll, damit sich der Stil aktualisieren lässt, müsste dies mit in der style.xml enthalten sein. Hier mal der Auszug meiner style.xml


  • Kurze Nachfrage: Wie läuft das Updaten nun ab?


    Ich gehe von Folgendem aus: Stile, die vor dem Bugfix erstellt wurden, lassen sich nicht updaten, Stile, die danach erstellt wurden, schon?

    Es ist nötig, dass Stile den Paketbezeichner haben, damit sie geupdatet werden können, oder?

    • Official Post

    Ich gehe von Folgendem aus: Stile, die vor dem Bugfix erstellt wurden, lassen sich nicht updaten, Stile, die danach erstellt wurden, schon?

    Richtig, denn die zwingend notwendige Angabe eines Identifiers fehlt bei den bisher exportierten Stilen.

    Es ist nötig, dass Stile den Paketbezeichner haben, damit sie geupdatet werden können, oder?

    Das ist die Grundbedingung, nur so ist eine einwandfreie Zuordnung möglich.

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!